Summary: MySQL authentication module for Apache
Name: mod_auth_mysql
Version: 3.0.0
Release: 3tr
License: BSD-like
Group: Trustix Official
Source0: %{name}-%{version}.tar.gz
Source1: mod_auth_mysql.conf
Requires: mysql-libs zlib 
URL: http://sourceforge.net/projects/modauthmysql/
BuildRequires: apache-devel mysql-devel
BuildRoot: %{_tmppath}/%{name}-root


%description
The mod_auth_mysql module consists an authorization handler that uses
an MySQL server as the basis for authorizations. 


%prep
%setup -q 


%build
%{_sbindir}/apxs -c -L/usr/lib/mysql -I/usr/include/mysql -lmysqlclient -lm -lz mod_auth_mysql.c


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

# Install the DSO
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
install -m 755 .libs/mod_auth_mysql.so $RPM_BUILD_ROOT%{_libdir}/apache

# Install the conf.d fragment
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 644 $RPM_SOURCE_DIR/mod_auth_mysql.conf \
   $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/auth_mysql.conf


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/auth_mysql.conf
%{_libdir}/apache/*.so
%doc CONFIGURE README


%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Fri Jan 19 2007 Nived Gopalan <nived at trustix dot org> 3.0.0-2tr
- Rebuilt with mysql  5.0.x.

* Wed Aug 10 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 3.0.0-1tr
- Initial spec file for TSL-3.0 Official
